Qore PgsqlSqlUtil Module Reference: PgsqlSqlUtil::PgsqlDatabase Class Reference

Qore PgsqlSqlUtil Module Reference 1.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
PgsqlSqlUtil::PgsqlDatabase Class Reference

provides the PostgreSQL-specific implementation of the AbstractDatabase interface More...

Inheritance diagram for PgsqlSqlUtil::PgsqlDatabase:
[legend]

## Public Member Functions
private softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
private hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
private list | listFunctionsImpl ()
| returns a list of string function names in the database More...
private list | listProceduresImpl ()
| since PostgreSQL only supports functions, this method is identical to listFunctionsImpl() More...
private list | listTablesImpl ()
| returns a list of string table names in the database
private bool | supportsPackagesImpl ()
| returns True if the database supports packages
private bool | supportsSequencesImpl ()
| returns True if the database supports sequences
private bool | supportsTypesImpl ()
| returns True if the database supports named types
private any | tryExecArgsImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
private any | tryExecRawImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost

## Static Public Member Functions
static any | tryExecArgs (AbstractDatasource ds, string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
static any | tryExecRaw (AbstractDatasource ds, string sql)
| tries to execute a command so that if an error occurs the current transaction status is not lost

## Public Attributes
const | PgsqlSchemaDescriptionOptions
| PostgreSQL-specific schema description keys.

## Detailed Description

provides the PostgreSQL-specific implementation of the AbstractDatabase interface

## Member Function Documentation

private list PgsqlSqlUtil::PgsqlDatabase::listFunctionsImpl | ( |  | ) |

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

private list PgsqlSqlUtil::PgsqlDatabase::listProceduresImpl | ( |  | ) |

since PostgreSQL only supports functions, this method is identical to listFunctionsImpl()

See Also
  listFunctionsImpl()